Bug 631509 - spice: qxl overruns the release ring
spice: qxl overruns the release ring
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
Depends On: 631502
Blocks: Rhel5KvmTier1
  Show dependency treegraph
 
Reported: 2010-09-07 15:51 EDT by Gerd Hoffmann
Modified: 2010-11-09 08:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 631502
Environment:
Last Closed: 2010-09-09 05:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerd Hoffmann 2010-09-07 15:51:14 EDT
+++ This bug was initially created as a clone of Bug #631502 +++

Description of problem:
The qxl backend in qemu can overrun the release ring.  The result is that the guest will miss release events, thus will not release the qxl device memory associated with them.  The memory leak may make qxl go out of memory and stop working.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.113.el6.x86_64

How reproducible:
No reproducer, found by code review.

--- Additional comment from kraxel@redhat.com on 2010-09-07 21:49:04 CEST ---

Created attachment 445768 [details]
fix
Comment 1 Gerd Hoffmann 2010-09-09 05:36:46 EDT
Patch review figured code is correct as-is.

Note You need to log in before you can comment on or make changes to this bug.